Skip to main content
PATCH
/
contacts
/
{id}
Atualizar contato
curl --request PATCH \
  --url https://api.synax.app.br/functions/v1/api-proxy/contacts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone": "+5511999999999",
  "name": "João Silva",
  "email": "jsmith@example.com",
  "temperature": "cold",
  "tags": [
    "<string>"
  ],
  "source": "api",
  "custom_fields": {}
}
'
{
  "data": {
    "phone": "+5511999999999",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "João Silva",
    "email": "joao@email.com",
    "temperature": "warm",
    "tags": [
      "lead",
      "site"
    ],
    "source": "api",
    "job_title": "<string>",
    "empresa": "<string>",
    "custom_fields": {},
    "do_not_contact": false,
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API Key gerada em Configurações > API. Formato: sk_live_...

Path Parameters

id
string<uuid>
required

Body

application/json
phone
string
required
Example:

"+5511999999999"

name
string
Example:

"João Silva"

email
string<email>
temperature
enum<string>
Available options:
cold,
warm,
hot
tags
string[]
source
string
default:api
custom_fields
object

Response

200 - application/json

Contato atualizado

data
object